> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.haloinvest.ng/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.haloinvest.ng/_mcp/server.

# Get account

POST https://api.haloinvest.ng/api/banking/account/get-account
Content-Type: application/json

Returns a customer and the accounts your business opened for them. Find the customer by email or account number.

Reference: https://docs.haloinvest.ng/api-reference/accounts/get-account

## Authentication

- `Authorization` header (bearer token, required) — Your Halo partner API key, sent as `Authorization: Bearer <key>`.

## Request

### Body (application/json)

This endpoint expects an object.

- `email` (string, optional) — The customer email. Required when account_number is not sent.
- `account_number` (string, optional) — An account number your business opened. Required when email is not sent.

## Response

### 200

Success.

- `status` (boolean, optional)
- `message` (string, optional)
- `data` (ApiBankingAccountGetAccountPostResponsesContentApplicationJsonSchemaData, optional)
- `status_code` (integer, optional)

## Errors

### 400 Bad Request Error

No account your business opened was found, or the bank could not be reached.

- `status` (boolean, required) — True on success, false otherwise.
- `message` (EnvelopeMessage, required) — A short message. On a 422 validation failure it is an object of field names to error lists.
- `status_code` (integer, required) — The HTTP status code.
- `data` (any, optional) — The result. Left out on most errors.

### 401 Unauthorized Error

The API key is missing or not recognised, or your business is switched off.

- `error` (UnauthorizedErrorError, optional)

### 422 Unprocessable Entity Error

The request failed validation. `message` lists the errors by field.

- `status` (boolean, required) — True on success, false otherwise.
- `message` (EnvelopeMessage, required) — A short message. On a 422 validation failure it is an object of field names to error lists.
- `status_code` (integer, required) — The HTTP status code.
- `data` (any, optional) — The result. Left out on most errors.

### 429 Too Many Requests Error

Too many requests. Wait and try again.

- `status` (boolean, required) — True on success, false otherwise.
- `message` (EnvelopeMessage, required) — A short message. On a 422 validation failure it is an object of field names to error lists.
- `status_code` (integer, required) — The HTTP status code.
- `data` (any, optional) — The result. Left out on most errors.

## Types

### ApiBankingAccountGetAccountPostResponsesContentApplicationJsonSchemaData

- `address` (string, optional)
- `age` (string, optional)
- `BVN` (string, optional)
- `branchCode` (string, optional)
- `customerID` (string, optional)
- `dateOfBirth` (string, optional)
- `email` (string, optional)
- `gender` (string, optional)
- `localGovernmentArea` (string, optional)
- `name` (string, optional)
- `phoneNumber` (string, optional)
- `state` (string, optional)
- `Accounts` (list of ApiBankingAccountGetAccountPostResponsesContentApplicationJsonSchemaDataAccountsItems, optional)

### EnvelopeMessage

A short message. On a 422 validation failure it is an object of field names to error lists.

- string
- map from string to list of string

### UnauthorizedErrorError

- `message` (string, optional)

### ApiBankingAccountGetAccountPostResponsesContentApplicationJsonSchemaDataAccountsItems

- `accessLevel` (string, optional)
- `accountNumber` (string, optional)
- `accountStatus` (string, optional)
- `accountType` (string, optional)
- `availableBalance` (string, optional)
- `branch` (string, optional)
- `customerID` (string, optional)
- `accountName` (string, optional)
- `productCode` (string, optional)
- `dateCreated` (string, optional)
- `lastActivityDate` (string, optional)
- `ledgerBalance` (string, optional)
- `NUBAN` (string, optional)
- `referenceNo` (string, optional)
- `withdrawableAmount` (string, optional)
- `kycLevel` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "status": true,
  "message": "Account Retrieved Successfully",
  "data": {
    "age": "0",
    "BVN": "22200000001",
    "branchCode": "001",
    "customerID": "003622",
    "dateOfBirth": "",
    "email": "ada@example.com",
    "gender": "Female",
    "name": "Ada Example",
    "phoneNumber": "08000000001",
    "state": "",
    "Accounts": [
      {
        "accessLevel": "1",
        "accountNumber": "01150011070003622",
        "accountStatus": "Active",
        "accountType": "SavingsOrCurrent",
        "availableBalance": "0.00",
        "branch": "HEAD OFFICE MINT",
        "customerID": "003622",
        "accountName": "Ada Example",
        "productCode": "107",
        "dateCreated": "9/4/2022 1:41:41 AM",
        "lastActivityDate": "",
        "ledgerBalance": "0.00",
        "NUBAN": "1100000001",
        "referenceNo": "AO1A2B3C4D5E",
        "withdrawableAmount": "0.00",
        "kycLevel": "1"
      }
    ]
  },
  "status_code": 200
}
```

**SDK Code**

```python
import requests

url = "https://api.haloinvest.ng/api/banking/account/get-account"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.haloinvest.ng/api/banking/account/get-account';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.haloinvest.ng/api/banking/account/get-account"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.haloinvest.ng/api/banking/account/get-account")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.haloinvest.ng/api/banking/account/get-account")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.haloinvest.ng/api/banking/account/get-account', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.haloinvest.ng/api/banking/account/get-account");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.haloinvest.ng/api/banking/account/get-account")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```